// 网络连接错误提示信息
export const HTTP_ERROR_MESSAGE = '系统出小差了，请联系管理员处理 ≧﹏≦';
// 提示信息停留时间
export const ELEMENT_MESSAGE_DURATION = 3000;
// 前台存储的token字段名
export const AUTH_TOKEN_FRONT = 'TOKEN_STRING';
// 后台存储的token字段名
export const AUTH_TOKEN_END = 'Token';
// 允许的图片类型列表
export const UPLOAD_IMAGE_TYPE = [
  'bmp',
  'jpg',
  'jpeg',
  'png',
  'tif',
  'gif',
  'pcx',
  'tga',
  'exif',
  'fpx',
  'svg',
  'psd',
  'cdr',
  'pcd',
  'dxf',
  'ufo',
  'eps,',
  'ai,',
  'raw',
  ',WMF',
  'webp',
];
// 上传图片的最大大小，单位：MB
export const UPLOAD_IMAGE_MAX_SIZE = 10;
// 正则表达式：身份证号
export const REGULAR_EXPRESSION_IDNUMBER = /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/;
// 项目的标题文字
export const PROGRAM_Title = '京铁学堂';
// 项目的副标题文字
export const PROGRAM_Title_Little = '北京高铁工务段';
// 试题类型
export const EXAM_QUESTION_TYPE = [
  { id: 1, name: '单选题', code: 'DanXuan' },
  { id: 2, name: '多选题', code: 'DuoXuan' },
  { id: 3, name: '判断题', code: 'PanDuan' },
  { id: 4, name: '填空题', code: 'TianKong' },
];
// 考试分类
export const EXAM_TYPE = [
  { id: 1, name: '普通考试', code: 'GENERAL_EXAM' },
  { id: 2, name: '专项考试', code: 'SPECIAL_EXAM' },
];
// 考试状态
export const EXAM_STATUS_TYPE = {
  NOT_START: 0, // 未开始
  STARTED: 1, // 正在考试
  EXAMOVER: 2, // 已结束
};
// 考试状态对应的文本
export const EXAM_STATUS_TYPE_TXT = ['未开始', '正在考试', '已结束'];
// 答题管理的类型
export const ANSWER_MANAGEMENT_RULE_TYPE = {
  DAY: { name: '每日答题', ruleType: 'DAILY_QUESTION_RULE' },
  WEEK: { name: '每周答题', ruleType: 'WEEKLY_QUESTION_RULE' },
  CHALLENGE: { name: '专项答题', ruleType: 'CHALLENGE_QUESTION_RULE' }
}

