// css语法
import less from 'less'

// 引入样式
import "./index.less";

// 引入组件库
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';

// 定义网络链接的图标库组件
import { Icon } from 'ant-design-vue';
import Vue from 'vue'
const IconFont = Icon.createFromIconfontCN({
  scriptUrl: '//at.alicdn.com/t/font_2605334_2lerxnjz19t.js',
});

Vue.use(less);
Vue.use(Antd);
Vue.component('icon-font', IconFont)
